Bug 679868 - xset dpms force off has no effect in VM
xset dpms force off has no effect in VM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
[cat:others]
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-23 13:14 EST by Eric Blake
Modified: 2013-08-01 08:59 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (27.28 KB, text/plain)
2011-02-23 13:32 EST, Eric Blake
no flags Details

  None (edit)
Description Eric Blake 2011-02-23 13:14:31 EST
Description of problem:
Running the F15 graphics test day in a VM.  No way to blank the screen as suggested during the test.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.9.99.1-4.20101201.fc15.x86_64


How reproducible:
100%

Steps to Reproduce:
1. create a qemu-kvm VM that uses the latest F15 install
2. in a terminal:
sleep 5 && xset dpms force off
3.
  
Actual results:
no effect - not even a screen blink

Expected results:
blank screen until the next input to the VM

Additional info:
I don't know if this is an artifact of using the vnc connection of virt-manager to see the VM's graphics, or if it is a real bug in the xorg-x11-server for not blanking the screen when using the virtual graphics adapter provided by qemu-kvm.
Comment 1 Eric Blake 2011-02-23 13:17:21 EST
in case it matters: the host for my VM is fedora 14, using qemu-kvm-0.13.0-1.fc14.x86_64
Comment 2 Eric Blake 2011-02-23 13:32:13 EST
Created attachment 480551 [details]
xorg log
Comment 3 Eric Blake 2011-02-23 13:33:52 EST
smolt profile of VM:
http://www.smolts.org/client/show/pub_e443c41c-017e-4839-a18e-fb570e8da6af

haven't created an xorg.conf
Comment 4 Adam Jackson 2012-03-23 12:12:03 EDT
If anything this would be a bug in qemu's emulation.  DPMS certainly works on real cirrus hardware.
Comment 5 Oliver Henshaw 2012-10-03 10:05:59 EDT
http://cvs.savannah.gnu.org/viewvc/vgabios/clext.c?root=vgabios&r1=1.12&r2=1.13

Apparently (according to #qemu irc) this is the code that implements reporting of dpms capabilities, but it returns error "unimplemented" for all other requests. So it supports dpms but doesn't go as far as implementing it.
Comment 6 Fedora End Of Life 2013-01-16 15:40:22 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Oliver Henshaw 2013-02-10 13:06:18 EST
Present in a F17 guest
Comment 8 Oliver Henshaw 2013-02-12 11:33:55 EST
Since DPMS is something that happens in the display, not in graphics hardware(*), perhaps the right place to implement this is in vnc and/or spice.

* Though I think some drivers do take the opportunity to save power, right?
Comment 9 Fedora End Of Life 2013-07-04 00:12:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 08:59:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.